Skip to main content
POST
Send a message

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Body

application/json

Attributes for the message to send.

Sender, recipient, and content of the message.

from
string
required

Sender ID. Numeric or alphanumeric.

Example:

"Wavix"

to
string
required

Recipient phone number.

Example:

"447537151866"

message_body
MessageBody · object
required
callback_url
string

Callback URL for delivery reports.

Example:

"https://you-site.com/webhook"

validity
integer<int32>

Message validity period in seconds. Delivery attempts stop after this period expires.

Example:

3600

tag
string

Tag to group messages, such as for a specific campaign.

Example:

"Fall sale"

Response

Returns the submitted message with its message_id and initial status.

carrier_fees
string | null

Mobile carrier fees in USD.

Example:

"0.0"

charge
string

Total charge for the message in USD.

Example:

"0.0"

direction
string

Message direction. Possible values are outbound, inbound.

Example:

"outbound"

delivered_at
string<date-time> | null

Date and time the message was delivered in ISO 8601 format.

Example:

"2024-05-28T12:34:56Z"

error_message
string | null

Error message.

from
string

Sender ID.

Example:

"Sender ID."

mcc
string | null

Mobile country code.

Example:

"310"

mnc
string | null

Mobile network code.

Example:

"260"

message_body
MessageBody · object
message_id
string

Message ID.

Example:

"abc123de-4567-890f-gh12-ijklmnop3456"

message_type
string

Message type.

Example:

"mms"

segments
integer

Number of SMS segments. Always 1 for MMS.

Example:

1

sent_at
string<date-time> | null

Date and time the message was sent in ISO 8601 format.

Example:

"2024-05-28T12:34:54Z"

status
string

Message status.

Example:

"accepted"

submitted_at
string

Date and time the message was submitted in ISO 8601 format.

Example:

"2025-09-22T09:07:53Z"

tag
string | null

Message tag.

Example:

"campaign_test"

to
string

Recipient phone number.

Example:

"+15551234567"